//Dedicated to my love,ivaziva
#include <bits/stdc++.h>
#pragma GCC optimize("Ofast")
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp> 
// #ifndef ONLINE_JUDGE
// #include "C:\Users\andre\Downloads\cpp-dump-0.7.0\cpp-dump-0.7.0\cpp-dump.hpp"
// #define dbg(...) cpp_dump(__VA_ARGS__)
// #else
// #define dump(...)
// #endif 
using namespace std;
typedef long long ll;
typedef long double ldb; 
using namespace __gnu_pbds;
typedef tree<ll,null_type,less_equal<ll>,rb_tree_tag,tree_order_statistics_node_update> order_set;
const int mxN=1e3+50;  
const ldb eps=0.000001;
const int mod=998244353; //998244353 1e9+7
const int iinf=2e9;
const ll inf=1e17; 
int a[mxN];
int main()
{ 
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n,l; cin >> n >> l;
    for(int i=1; i<=n; i++) cin >> a[i];
    int ans=-1;
    for(int i=1; i<=n; i++)
    {
        if(a[i]<=l) 
        {
            ans=i;
            break;
        }
    }
    cout << ans << "\n";
    return 0;
}